aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-07-06 12:27:16 (GMT)
committerNatanael Copa <ncopa@alpinelinux.org>2010-07-06 12:27:16 (GMT)
commit16164ba035609a2a8f7f98de7fa1052ad201a915 (patch)
tree13f5dccd7a23b164101561518ed85ba4c8a7073d
parent993176136f182c2feb91682b31f0a905167f418d (diff)
downloadaports-16164ba035609a2a8f7f98de7fa1052ad201a915.tar.bz2
testing/mdocml: new aport
Roff implementation http://mdocml.bsd.lv/ alot smaller than groff but we still seem to need /usr/bin/tbl
-rw-r--r--testing/mdocml/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/testing/mdocml/APKBUILD b/testing/mdocml/APKBUILD
new file mode 100644
index 0000000..7fd6fd3
--- /dev/null
+++ b/testing/mdocml/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor:
+# Maintainer:
+pkgname=mdocml
+pkgver=1.10.2
+pkgrel=0
+pkgdesc="Roff implementation"
+url="http://mdocml.bsd.lv/"
+license="BSD"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="http://mdocml.bsd.lv/snapshots/mdocml-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ sed -i -e 's:/usr/local:/usr:' Makefile || return 1
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" MANDIR=/usr/share/man \
+ EXAMPLEDIR=/usr/share/doc/mdocml/examples install
+}
+
+md5sums="aa52d80c5ccbd2d6d434c63c2435a060 mdocml-1.10.2.tar.gz"